summaryrefslogtreecommitdiffstats
path: root/examples
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-05-08 05:56:45 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-05-08 05:56:45 +0000
commitfae5bea66acb4d09ccec728010b56fa900b0951a (patch)
tree907137ec6da059b1f59da91b00846652e7616b62 /examples
parentInitial commit. (diff)
downloadsystem-build-fae5bea66acb4d09ccec728010b56fa900b0951a.tar.xz
system-build-fae5bea66acb4d09ccec728010b56fa900b0951a.zip
Adding live-build version 5.0~a11.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'examples')
-rwxr-xr-xexamples/auto/build5
-rwxr-xr-xexamples/auto/clean8
-rwxr-xr-xexamples/auto/config6
-rw-r--r--examples/gitignore31
-rwxr-xr-xexamples/hooks/minimal.hook.chroot33
-rwxr-xr-xexamples/hooks/stripped.hook.chroot52
6 files changed, 135 insertions, 0 deletions
diff --git a/examples/auto/build b/examples/auto/build
new file mode 100755
index 000000000..f8d834623
--- /dev/null
+++ b/examples/auto/build
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+set -e
+
+lb build noauto "${@}" 2>&1 | tee build.log
diff --git a/examples/auto/clean b/examples/auto/clean
new file mode 100755
index 000000000..69874ee68
--- /dev/null
+++ b/examples/auto/clean
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+lb clean noauto "${@}"
+
+rm -f config/binary config/bootstrap config/chroot config/common config/source
+rm -f build.log
diff --git a/examples/auto/config b/examples/auto/config
new file mode 100755
index 000000000..c6d68c649
--- /dev/null
+++ b/examples/auto/config
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+set -e
+
+lb config noauto \
+ "${@}"
diff --git a/examples/gitignore b/examples/gitignore
new file mode 100644
index 000000000..3f88dfad1
--- /dev/null
+++ b/examples/gitignore
@@ -0,0 +1,31 @@
+binary/
+binary*.iso
+binary*.img
+binary*.tar*
+binary*.contents
+binary*.packages
+binary*.zsync
+
+.build/
+build.log
+
+cache/
+
+chroot/
+chroot.packages.*
+
+config/binary
+config/bootstrap
+config/chroot
+config/common
+config/source
+
+config/control
+
+source/
+source*.iso
+source*.img
+source*.tar*
+source*.contents
+source*.packages
+source*.zsync
diff --git a/examples/hooks/minimal.hook.chroot b/examples/hooks/minimal.hook.chroot
new file mode 100755
index 000000000..d13ba425f
--- /dev/null
+++ b/examples/hooks/minimal.hook.chroot
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+# Removing unused packages
+for PACKAGE in apt-utils aptitude man-db manpages info wget
+do
+ if ! apt-get remove --purge --yes "${PACKAGE}"
+ then
+ echo "WARNING: ${PACKAGE} isn't installed"
+ fi
+done
+
+apt-get autoremove --yes || true
+
+# Removing unused files
+find . -name *~ -print0 | xargs -0 rm -f
+
+rm -rf /var/cache/man/*
+
+# Truncating logs
+for FILE in $(find /var/log/ -type f)
+do
+ : > ${FILE}
+done
diff --git a/examples/hooks/stripped.hook.chroot b/examples/hooks/stripped.hook.chroot
new file mode 100755
index 000000000..ade239023
--- /dev/null
+++ b/examples/hooks/stripped.hook.chroot
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+## live-build(7) - System Build Scripts
+## Copyright (C) 2006-2015 Daniel Baumann <mail@daniel-baumann.ch>
+##
+## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+## This is free software, and you are welcome to redistribute it
+## under certain conditions; see COPYING for details.
+
+
+set -e
+
+# WARNING: Using this hook will result in a stripped system, means,
+# it may very well be possible that other packages are depending
+# on certain files that get removed here.
+# Therefore, this hooks is merely an inspiration for what could be
+# removed and not a generic nor recommendet solution to get the
+# image filesize down. In any event, using this hook can lead to
+# unforseen bugs and breakages in other packages and you should
+# be prepared to find and fix it for your own images.
+
+# Removing unused packages
+for PACKAGE in apt-utils aptitude man-db manpages info wget dselect
+do
+ if ! apt-get remove --purge --yes "${PACKAGE}"
+ then
+ echo "WARNING: ${PACKAGE} isn't installed"
+ fi
+done
+
+apt-get autoremove --yes || true
+
+# Removing unused files
+find . -name *~ -print0 | xargs -0 rm -f
+
+rm -rf /usr/include/*
+#rm -rf /usr/share/groff/*
+rm -rf /usr/share/doc/*
+rm -rf /usr/share/locale/*
+rm -rf /usr/share/man/*
+rm -rf /usr/share/i18n/*
+rm -rf /usr/share/info/*
+rm -rf /usr/share/lintian/*
+rm -rf /usr/share/linda/*
+rm -rf /usr/share/zoneinfo/*
+rm -rf /var/cache/man/*
+
+# Truncating logs
+for FILE in $(find /var/log/ -type f)
+do
+ : > ${FILE}
+done